Bug 958990 - mod_cluster core when use ProxyPass / balancer://bal and CreateBalancers 1
Summary: mod_cluster core when use ProxyPass / balancer://bal and CreateBalancers 1
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: mod_cluster
Version: 2.0.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER01
: 2.1.0
Assignee: Weinan Li
QA Contact: Michal Karm Babacek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-02 22:06 UTC by Michal Karm Babacek
Modified: 2019-06-13 12:09 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously in JBoss Enterprise Web Server, setting <literal>CreateBalancers 1</literal> in <filename class="directory">/conf.d/</filename><filename>mod_cluster.conf</filename> without setting the <literal>stickysession=JSESSIONID|jsessionid</literal> configuration displayed the following segmentation fault information: <screen>[notice] child pid 7787 exit signal Segmentation fault (11)</screen> This issue is fixed in JBoss Enterprise Web Server 2.1.
Clone Of:
Environment:
Last Closed: 2019-06-13 12:09:55 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker MODCLUSTER-334 0 Major Closed mod_cluster core when use ProxyPass / balancer://bal and CreateBalancers 1 2020-06-18 15:42:32 UTC

Description Michal Karm Babacek 2013-05-02 22:06:02 UTC
https://issues.jboss.org/browse/MODCLUSTER-334

Comment 1 Michal Karm Babacek 2013-05-06 18:58:30 UTC
See also the EAP-related sister: https://bugzilla.redhat.com/show_bug.cgi?id=958991

Unlike with EAP, we might have enough time for including Jean's 08be77c8c393d421ca9c1abb7145fd006165df70 fix.

Comment 2 JBoss JIRA Server 2013-05-07 16:37:38 UTC
Michal Babacek <mbabacek> made a comment on jira MODCLUSTER-334

Verified on
[modcluster/mod_cluster/tree/1.2.x|https://github.com/modcluster/mod_cluster/tree/1.2.x].
Closing.

Comment 3 JBoss JIRA Server 2013-05-07 16:38:01 UTC
Michal Babacek <mbabacek> updated the status of jira MODCLUSTER-334 to Closed

Comment 4 Jean-frederic Clere 2013-05-28 15:56:32 UTC
not EAP6.1 = not EWS 2.0.1 = Unknown bug.

Comment 5 Michal Karm Babacek 2013-05-28 16:01:44 UTC
(In reply to Jean-frederic Clere from comment #4)
> not EAP6.1 = not EWS 2.0.1 = Unknown bug.

??? Um...the bug is present both in EAP6.1 and EWS 2.0.1 :-)

Comment 6 Jean-frederic Clere 2013-05-29 06:38:37 UTC
Yes the bug is both in EWS 2.0.1 and EAP 6.1 has we share the same sources.

Comment 7 Jean-frederic Clere 2013-06-14 09:30:05 UTC
Doc Text looks ok.

Comment 9 Weinan Li 2014-05-30 10:43:33 UTC
Fixed in 2.1.0:

[weli@dhcp-66-78-87 mod_proxy_cluster]$ grep -nr 'strcmp(sticky, balancer->sticky' *
mod_proxy_cluster.c:838:                if (balancer->sticky == NULL || strcmp(sticky, balancer->sticky) != 0) {

Comment 10 Michal Karm Babacek 2014-06-11 12:01:35 UTC
Verified EWS 2.1.0.ER2.

Comment 11 Mandar Joshi 2014-08-08 12:00:01 UTC
Changed Doc Type to Bug Fix.
Updated Doc Text.
Added - This issue is fixed in JBoss Enterprise Web Server 2.1.0.


Note You need to log in before you can comment on or make changes to this bug.